suspend to ram 2.6.22-8

Bug #126214 reported by Mark Baas on 2007-07-15
20
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
linux-source-2.6.22 (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: linux-source-2.6.22

on Gutsy I have the problem that since i upgraded the kernel to 2.6.22-8 the suspend to ram doesnt work anymore (not yet tested the suspend to disk). In 2.6.22-7 it work without any problems.
The difference though i think it is not a problem, that i upgraded my alsa driver and lib to the hg version, this was necessary for my soundcard to work (bug already submitted at alsa). However i tried to remove all alsa modules (snd-*), but it didnt make a difference. Maybe you changed something with acpi in this kernel version.

Here is my output of dmesg (on 2.6.22-8):
[ 0.000000] Linux version 2.6.22-8-generic (buildd@palmer) (gcc version 4.1.3 20070629 (prerelease) (Ubuntu 4.1.2-13ubuntu2)) #1 SMP Thu Jul 12 15:59:45 GMT 2007
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: 0000000000000000 - 000000000009dc00 (usable)
[ 0.000000] BIOS-e820: 000000000009dc00 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000ce000 - 00000000000d0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000dc000 - 00000000000e0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000e4000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 0000000037e90000 (usable)
[ 0.000000] BIOS-e820: 0000000037e90000 - 0000000037e98000 (ACPI data)
[ 0.000000] BIOS-e820: 0000000037e98000 - 0000000037f00000 (ACPI NVS)
[ 0.000000] BIOS-e820: 0000000037f00000 - 0000000038000000 (reserved)
[ 0.000000] BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
[ 0.000000] BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
[ 0.000000] BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
[ 0.000000] BIOS-e820: 00000000fff80000 - 0000000100000000 (reserved)
[ 0.000000] 0MB HIGHMEM available.
[ 0.000000] 894MB LOWMEM available.
[ 0.000000] found SMP MP-table at 000f7310
[ 0.000000] Entering add_active_range(0, 0, 229008) 0 entries of 256 used
[ 0.000000] Zone PFN ranges:
[ 0.000000] DMA 0 -> 4096
[ 0.000000] Normal 4096 -> 229008
[ 0.000000] HighMem 229008 -> 229008
[ 0.000000] early_node_map[1] active PFN ranges
[ 0.000000] 0: 0 -> 229008
[ 0.000000] On node 0 totalpages: 229008
[ 0.000000] DMA zone: 32 pages used for memmap
[ 0.000000] DMA zone: 0 pages reserved
[ 0.000000] DMA zone: 4064 pages, LIFO batch:0
[ 0.000000] Normal zone: 1757 pages used for memmap
[ 0.000000] Normal zone: 223155 pages, LIFO batch:31
[ 0.000000] HighMem zone: 0 pages used for memmap
[ 0.000000] DMI present.
[ 0.000000] ACPI: RSDP 000F7250, 0014 (r0 PKBQCI)
[ 0.000000] ACPI: RSDT 37E9260A, 003C (r1 PacBel PBDTNB00 6040000 LTP 0)
[ 0.000000] ACPI: FACP 37E97D8A, 0074 (r1 ATI Bonefish 6040000 ATI F4240)
[ 0.000000] ACPI: DSDT 37E92D6B, 501F (r1 PKBQCI PKBQCI00 6040000 MSFT 2000002)
[ 0.000000] ACPI: FACS 37E98FC0, 0040
[ 0.000000] ACPI: APIC 37E97DFE, 0050 (r1 PTLTD APIC 6040000 LTP 0)
[ 0.000000] ACPI: MCFG 37E97E4E, 003C (r1 PTLTD MCFG 6040000 LTP 0)
[ 0.000000] ACPI: SLIC 37E97E8A, 0176 (r1 PacBel PBDTNB00 6040000 LTP 0)
[ 0.000000] ACPI: SSDT 37E92B7B, 01F0 (r1 PmRef Cpu0Cst 3001 INTL 20050228)
[ 0.000000] ACPI: SSDT 37E92646, 0535 (r1 PmRef CpuPm 3000 INTL 20050228)
[ 0.000000] ATI board detected. Disabling timer routing over 8254.
[ 0.000000] ACPI: PM-Timer IO Port: 0x8008
[ 0.000000] ACPI: Local APIC address 0xfee00000
[ 0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[ 0.000000] Processor #0 6:14 APIC version 20
[ 0.000000] ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
[ 0.000000] ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
[ 0.000000] IOAPIC[0]: apic_id 1, version 33, address 0xfec00000, GSI 0-23
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 21 low level)
[ 0.000000] Enabling APIC mode: Flat. Using 1 I/O APICs
[ 0.000000] Using ACPI (MADT) for SMP configuration information
[ 0.000000] Allocating PCI resources starting at 40000000 (gap: 38000000:a8000000)
[ 0.000000] Built 1 zonelists. Total pages: 227219
[ 0.000000] Kernel command line: root=UUID=e7c340e6-f234-4be7-93dd-16f959655471 ro splash vga=792
[ 0.000000] mapped APIC to ffffd000 (fee00000)
[ 0.000000] mapped IOAPIC to ffffc000 (fec00000)
[ 0.000000] Enabling fast FPU save and restore... done.
[ 0.000000] Enabling unmasked SIMD FPU exception support... done.
[ 0.000000] Initializing CPU#0
[ 0.000000] PID hash table entries: 4096 (order: 12, 16384 bytes)
[ 0.000000] Detected 1466.682 MHz processor.
[ 17.407247] Console: colour dummy device 80x25
[ 17.408358] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[ 17.409164] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[ 17.440612] Memory: 896780k/916032k available (2009k kernel code, 18656k reserved, 918k data, 364k init, 0k highmem)
[ 17.440631] virtual kernel memory layout:
[ 17.440633] fixmap : 0xfff4d000 - 0xfffff000 ( 712 kB)
[ 17.440634] pkmap : 0xff800000 - 0xffc00000 (4096 kB)
[ 17.440636] vmalloc : 0xf8800000 - 0xff7fe000 ( 111 MB)
[ 17.440637] lowmem : 0xc0000000 - 0xf7e90000 ( 894 MB)
[ 17.440639] .init : 0xc03e1000 - 0xc043c000 ( 364 kB)
[ 17.440640] .data : 0xc02f6606 - 0xc03dbe64 ( 918 kB)
[ 17.440642] .text : 0xc0100000 - 0xc02f6606 (2009 kB)
[ 17.440661] Checking if this processor honours the WP bit even in supervisor mode... Ok.
[ 17.440712] SLUB: Genslabs=22, HWalign=64, Order=0-1, MinObjects=4, CPUs=1, Nodes=1
[ 17.520731] Calibrating delay using timer specific routine.. 2937.81 BogoMIPS (lpj=5875633)
[ 17.520766] Security Framework v1.0.0 initialized
[ 17.520778] SELinux: Disabled at boot.
[ 17.520796] Mount-cache hash table entries: 512
[ 17.520942] CPU: After generic identify, caps: afe9fbff 00000000 00000000 00000000 0000c109 00000000 00000000
[ 17.520953] monitor/mwait feature present.
[ 17.520958] using mwait in idle threads.
[ 17.520965] CPU: L1 I cache: 32K, L1 D cache: 32K
[ 17.520970] CPU: L2 cache: 1024K
[ 17.520975] CPU: After all inits, caps: afe9fbff 00000000 00000000 00002940 0000c109 00000000 00000000
[ 17.520986] Compat vDSO mapped to ffffe000.
[ 17.521003] Checking 'hlt' instruction... OK.
[ 17.536853] SMP alternatives: switching to UP code
[ 17.537058] Freeing SMP alternatives: 11k freed
[ 17.537246] ACPI: Core revision 20070126
[ 18.186030] CPU0: Intel(R) Celeron(R) M CPU 410 @ 1.46GHz stepping 08
[ 18.186064] Total of 1 processors activated (2937.81 BogoMIPS).
[ 18.186246] ENABLING IO-APIC IRQs
[ 18.186462] ..TIMER: vector=0x31 apic1=0 pin1=0 apic2=-1 pin2=-1
[ 18.332603] Brought up 1 CPUs
[ 18.332737] Booting paravirtualized kernel on bare hardware
[ 18.332832] Time: 0:22:55 Date: 06/16/107
[ 18.332859] NET: Registered protocol family 16
[ 18.332958] EISA bus registered
[ 18.332979] ACPI: bus type pci registered
[ 18.332995] PCI: Using MMCONFIG
[ 18.333988] Setting up standard PCI resources
[ 18.337538] ACPI: EC: Look up EC in DSDT
[ 18.338343] ACPI: EC: GPE=0x10, ports=0x66, 0x62
[ 18.417806] ACPI Error (dswload-0664): [\___] Namespace lookup failure, AE_NOT_FOUND
[ 18.417817] ACPI Exception (psloop-0225): AE_NOT_FOUND, During name lookup/catalog [20070126]
[ 18.417825] ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0._INI] (Node dfffc690), AE_NOT_FOUND
[ 18.417872] ACPI: Interpreter enabled
[ 18.417877] ACPI: (supports S0 S3 S4 S5)
[ 18.417896] ACPI: Using IOAPIC for interrupt routing
[ 18.422561] ACPI: EC: GPE=0x10, ports=0x66, 0x62
[ 18.422617] ACPI: PCI Root Bridge [PCI0] (0000:00)
[ 18.422645] PCI: Probing PCI hardware (bus 00)
[ 18.423706] PCI: Transparent bridge - 0000:00:14.4
[ 18.423744] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[ 18.424023] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P2P_._PRT]
[ 18.424167] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT]
[ 18.426085] ACPI: PCI Interrupt Link [LNKA] (IRQs 10 11) *0, disabled.
[ 18.426220] ACPI: PCI Interrupt Link [LNKB] (IRQs 10 11) *0, disabled.
[ 18.426352] ACPI: PCI Interrupt Link [LNKC] (IRQs 10 11) *0, disabled.
[ 18.426484] ACPI: PCI Interrupt Link [LNKD] (IRQs 10 11) *0, disabled.
[ 18.426617] ACPI: PCI Interrupt Link [LNKE] (IRQs 10 11) *0, disabled.
[ 18.426749] ACPI: PCI Interrupt Link [LNKF] (IRQs 10 11) *0, disabled.
[ 18.426881] ACPI: PCI Interrupt Link [LNKG] (IRQs 10 11) *0, disabled.
[ 18.427013] ACPI: PCI Interrupt Link [LNKH] (IRQs 10 11) *0, disabled.
[ 18.427130] Linux Plug and Play Support v0.97 (c) Adam Belay
[ 18.427147] pnp: PnP ACPI init
[ 18.427157] ACPI: bus type pnp registered
[ 18.428998] pnp: PnP ACPI: found 10 devices
[ 18.429004] ACPI: ACPI bus type pnp unregistered
[ 18.429012] PnPBIOS: Disabled by ACPI PNP
[ 18.429070] PCI: Using ACPI for IRQ routing
[ 18.429075] PCI: If a device doesn't work, try "pci=routeirq". If it helps, post a report
[ 18.429172] NET: Registered protocol family 8
[ 18.429177] NET: Registered protocol family 20
[ 18.429251] pnp: 00:01: iomem range 0xe0000000-0xefffffff could not be reserved
[ 18.429264] pnp: 00:08: ioport range 0x1080-0x1080 has been reserved
[ 18.429270] pnp: 00:08: ioport range 0x200-0x20f has been reserved
[ 18.429277] pnp: 00:09: iomem range 0xe0000-0xfffff could not be reserved
[ 18.429283] pnp: 00:09: iomem range 0xfff80000-0xffffffff could not be reserved
[ 18.429290] pnp: 00:09: iomem range 0x0-0xfff could not be reserved
[ 18.432541] Time: tsc clocksource has been installed.
[ 18.459612] PCI: Bridge: 0000:00:01.0
[ 18.459617] IO window: 9000-9fff
[ 18.459622] MEM window: c0000000-c00fffff
[ 18.459627] PREFETCH window: d0000000-dfffffff
[ 18.459632] PCI: Bridge: 0000:00:14.4
[ 18.459637] IO window: a000-afff
[ 18.459646] MEM window: c0100000-c01fffff
[ 18.459652] PREFETCH window: disabled.
[ 18.459686] NET: Registered protocol family 2
[ 18.496574] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
[ 18.496743] TCP established hash table entries: 131072 (order: 8, 1572864 bytes)
[ 18.499119] TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
[ 18.499990] TCP: Hash tables configured (established 131072 bind 65536)
[ 18.500000] TCP reno registered
[ 18.508750] checking if image is initramfs... it is
[ 18.960441] Switched to high resolution mode on CPU 0
[ 19.270663] Freeing initrd memory: 6823k freed
[ 19.271260] audit: initializing netlink socket (disabled)
[ 19.271284] audit(1184545374.744:1): initialized
[ 19.273471] VFS: Disk quotas dquot_6.5.1
[ 19.273531] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[ 19.273643] io scheduler noop registered
[ 19.273649] io scheduler anticipatory registered
[ 19.273653] io scheduler deadline registered
[ 19.273672] io scheduler cfq registered (default)
[ 19.273731] Boot video device is 0000:01:05.0
[ 19.273923] vesafb: framebuffer at 0xd0000000, mapped to 0xf8880000, using 4608k, total 16384k
[ 19.273931] vesafb: mode is 1024x768x24, linelength=3072, pages=6
[ 19.273936] vesafb: protected mode interface info at c000:5165
[ 19.273941] vesafb: pmi: set display start = c00c51d3, set palette = c00c520d
[ 19.273946] vesafb: pmi: ports = 9010 9016 9054 9038 903c 905c 9000 9004 90b0 90b2 90b4
[ 19.273957] vesafb: scrolling: redraw
[ 19.273962] vesafb: Truecolor: size=0:8:8:8, shift=0:16:8:0
[ 19.274020] fb0: VESA VGA frame buffer device
[ 19.274072] isapnp: Scanning for PnP cards...
[ 19.588005] isapnp: No Plug & Play device found
[ 19.617445] Real Time Clock Driver v1.12ac
[ 19.617585] Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
[ 19.618918] RAMDISK driver initialized: 16 RAM disks of 65536K size 1024 blocksize
[ 19.619188] input: Macintosh mouse button emulation as /class/input/input0
[ 19.619277] PNP: PS/2 Controller [PNP0303:KBC0,PNP0f13:MSE0] at 0x60,0x64 irq 1,12
[ 19.623318] serio: i8042 KBD port at 0x60,0x64 irq 1
[ 19.623332] serio: i8042 AUX port at 0x60,0x64 irq 12
[ 19.623554] mice: PS/2 mouse device common for all mice
[ 19.623689] EISA: Probing bus 0 at eisa.0
[ 19.623705] Cannot allocate resource for EISA slot 1
[ 19.623737] Cannot allocate resource for EISA slot 8
[ 19.623741] EISA: Detected 0 cards.
[ 19.623870] TCP cubic registered
[ 19.623893] NET: Registered protocol family 1
[ 19.623928] Using IPI No-Shortcut mode
[ 19.624104] Magic number: 15:27:355
[ 19.624695] Freeing unused kernel memory: 364k freed
[ 19.660250] input: AT Translated Set 2 keyboard as /class/input/input1
[ 20.930468] Capability LSM initialized
[ 20.940636] ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
[ 20.940645] ACPI: Processor [CPU0] (supports 8 throttling states)
[ 20.940660] ACPI Exception (processor_core-0781): AE_NOT_FOUND, Processor Device is not present [20070126]
[ 20.950924] ACPI: Thermal Zone [THRM] (56 C)
[ 21.767109] SCSI subsystem initialized
[ 21.773286] libata version 2.21 loaded.
[ 21.774775] sata_sil 0000:00:12.0: version 2.2
[ 21.774843] PCI: Enabling device 0000:00:12.0 (0005 -> 0007)
[ 21.774858] ACPI: PCI Interrupt 0000:00:12.0[A] -> GSI 22 (level, low) -> IRQ 16
[ 21.774950] scsi0 : sata_sil
[ 21.775001] scsi1 : sata_sil
[ 21.775036] ata1: SATA max UDMA/100 cmd 0xf882e080 ctl 0xf882e08a bmdma 0xf882e000 irq 16
[ 21.775042] ata2: SATA max UDMA/100 cmd 0xf882e0c0 ctl 0xf882e0ca bmdma 0xf882e008 irq 16
[ 21.786945] usbcore: registered new interface driver usbfs
[ 21.786976] usbcore: registered new interface driver hub
[ 21.786999] usbcore: registered new device driver usb
[ 21.787855] ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
[ 21.858377] Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
[ 21.858386] ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
[ 22.028492] 8139too Fast Ethernet driver 0.9.28
[ 3.884000] Marking TSC unstable due to: possible TSC halt in C2.
[ 3.892000] Time: acpi_pm clocksource has been installed.
[ 4.052000] ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[ 4.060000] ata1.00: ATA-7: ST980811AS, 3.ALB, max UDMA/133
[ 4.060000] ata1.00: 156301488 sectors, multi 16: LBA48 NCQ (depth 0/32)
[ 4.076000] ata1.00: configured for UDMA/100
[ 4.388000] ata2: SATA link down (SStatus 0 SControl 300)
[ 4.388000] scsi 0:0:0:0: Direct-Access ATA ST980811AS 3.AL PQ: 0 ANSI: 5
[ 4.388000] ACPI: PCI Interrupt 0000:00:13.0[A] -> GSI 19 (level, low) -> IRQ 17
[ 4.388000] ohci_hcd 0000:00:13.0: OHCI Host Controller
[ 4.392000] ohci_hcd 0000:00:13.0: new USB bus registered, assigned bus number 1
[ 4.392000] ohci_hcd 0000:00:13.0: irq 17, io mem 0xc0404000
[ 4.448000] usb usb1: configuration #1 chosen from 1 choice
[ 4.448000] hub 1-0:1.0: USB hub found
[ 4.448000] hub 1-0:1.0: 4 ports detected
[ 4.552000] ACPI: PCI Interrupt 0000:00:13.1[A] -> GSI 19 (level, low) -> IRQ 17
[ 4.552000] ohci_hcd 0000:00:13.1: OHCI Host Controller
[ 4.552000] ohci_hcd 0000:00:13.1: new USB bus registered, assigned bus number 2
[ 4.552000] ohci_hcd 0000:00:13.1: irq 17, io mem 0xc0405000
[ 4.608000] usb usb2: configuration #1 chosen from 1 choice
[ 4.608000] hub 2-0:1.0: USB hub found
[ 4.608000] hub 2-0:1.0: 4 ports detected
[ 4.712000] ACPI: PCI Interrupt 0000:00:13.2[A] -> GSI 19 (level, low) -> IRQ 17
[ 4.712000] ehci_hcd 0000:00:13.2: EHCI Host Controller
[ 4.712000] ehci_hcd 0000:00:13.2: new USB bus registered, assigned bus number 3
[ 4.712000] ehci_hcd 0000:00:13.2: irq 17, io mem 0xc0406000
[ 4.712000] ehci_hcd 0000:00:13.2: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
[ 4.712000] usb usb3: configuration #1 chosen from 1 choice
[ 4.712000] hub 3-0:1.0: USB hub found
[ 4.712000] hub 3-0:1.0: 8 ports detected
[ 4.816000] ATIIXP: IDE controller at PCI slot 0000:00:14.1
[ 4.816000] ACPI: PCI Interrupt 0000:00:14.1[A] -> GSI 16 (level, low) -> IRQ 18
[ 4.816000] ATIIXP: chipset revision 128
[ 4.816000] ATIIXP: not 100% native mode: will probe irqs later
[ 4.816000] ide0: BM-DMA at 0x8460-0x8467, BIOS settings: hda:pio, hdb:pio
[ 4.816000] ide1: BM-DMA at 0x8468-0x846f, BIOS settings: hdc:DMA, hdd:pio
[ 4.816000] Probing IDE interface ide0...
[ 5.376000] Probing IDE interface ide1...
[ 6.112000] hdc: Optiarc DVD RW AD-5540A, ATAPI CD/DVD-ROM drive
[ 6.784000] hdc: selected mode 0x42
[ 6.784000] ide1 at 0x170-0x177,0x376 on irq 15
[ 6.784000] ACPI: PCI Interrupt 0000:09:02.0[A] -> GSI 21 (level, low) -> IRQ 21
[ 6.788000] eth0: RealTek RTL8139 at 0xf8832000, 00:16:36:e5:90:52, IRQ 21
[ 6.788000] eth0: Identified 8139 chip type 'RTL-8100B/8139D'
[ 6.788000] 8139cp: 10/100 PCI Ethernet driver v1.3 (Mar 22, 2004)
[ 6.808000] hdc: ATAPI 24X DVD-ROM DVD-R CD-R/RW drive, 2048kB Cache, UDMA(33)
[ 6.808000] Uniform CD-ROM driver Revision: 3.20
[ 6.808000] sd 0:0:0:0: [sda] 156301488 512-byte hardware sectors (80026 MB)
[ 6.808000] sd 0:0:0:0: [sda] Write Protect is off
[ 6.808000] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[ 6.808000] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 6.808000] sd 0:0:0:0: [sda] 156301488 512-byte hardware sectors (80026 MB)
[ 6.808000] sd 0:0:0:0: [sda] Write Protect is off
[ 6.808000] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[ 6.808000] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 6.808000] sda: sda1 sda2 sda3 sda4
[ 6.852000] sd 0:0:0:0: [sda] Attached SCSI disk
[ 6.856000] sd 0:0:0:0: Attached scsi generic sg0 type 0
[ 7.388000] Attempting manual resume
[ 7.388000] swsusp: Resume From Partition 8:3
[ 7.388000] PM: Checking swsusp image.
[ 7.388000] PM: Resume from disk failed.
[ 7.432000] EXT3-fs: INFO: recovery required on readonly filesystem.
[ 7.432000] EXT3-fs: write access will be enabled during recovery.
[ 8.932000] kjournald starting. Commit interval 5 seconds
[ 8.932000] EXT3-fs: recovery complete.
[ 8.940000] EXT3-fs: mounted filesystem with ordered data mode.
[ 19.824000] eth2: link up, 100Mbps, full-duplex, lpa 0x45E1
[ 21.356000] NET: Registered protocol family 17
[ 21.456000] Linux agpgart interface v0.102 (c) Dave Jones
[ 21.536000] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[ 21.540000] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[ 22.684000] rt61 1.1.0 CVS 2007071016 http://rt2x00.serialmonkey.com
[ 22.684000] ACPI: PCI Interrupt 0000:09:04.0[A] -> GSI 22 (level, low) -> IRQ 16
[ 22.696000] piix4_smbus 0000:00:14.0: Found 0000:00:14.0 device
[ 22.768000] RT61: RfIcType= 3
[ 22.860000] input: PC Speaker as /class/input/input2
[ 23.372000] Synaptics Touchpad, model: 1, fw: 6.2, id: 0x25a0b1, caps: 0xa04713/0x0
[ 23.404000] input: SynPS/2 Synaptics TouchPad as /class/input/input3
[ 23.588000] ACPI: PCI Interrupt 0000:00:14.2[A] -> GSI 16 (level, low) -> IRQ 18
[ 23.620000] ALSA /home/mark/Downloads/alsa-driver/pci/hda/hda_codec.c:1810: hda_codec: model 'dallas' is selected
[ 24.924000] fuse init (API version 7.8)
[ 25.028000] lp: driver loaded but no devices found
[ 25.164000] Adding 1020116k swap on /dev/disk/by-uuid/aa87eef4-baa0-4d91-90b0-5a11f8228169. Priority:-1 extents:1 across:1020116k
[ 25.424000] EXT3 FS on sda4, internal journal
[ 25.832000] NET: Registered protocol family 10
[ 25.832000] lo: Disabled Privacy Extensions
[ 26.120000] kjournald starting. Commit interval 5 seconds
[ 26.120000] EXT3 FS on sda1, internal journal
[ 26.120000] EXT3-fs: mounted filesystem with ordered data mode.
[ 31.052000] input: Power Button (FF) as /class/input/input4
[ 31.060000] ACPI: Power Button (FF) [PWRF]
[ 31.108000] input: Lid Switch as /class/input/input5
[ 31.112000] ACPI: Lid Switch [LID]
[ 31.160000] input: Power Button (CM) as /class/input/input6
[ 31.164000] ACPI: Power Button (CM) [PWRB]
[ 31.244000] No dock devices found.
[ 31.304000] set_level status: 0
[ 31.304000] ACPI: Video Device [VGA] (multi-head: yes rom: no post: no)
[ 31.364000] ACPI: AC Adapter [ACAD] (on-line)
[ 31.380000] toshiba_acpi: Unknown parameter `hotkeys_over_acpi'
[ 31.488000] ACPI: Battery Slot [BAT1] (battery present)
[ 34.628000] fglrx: module license 'Proprietary. (C) 2002 - ATI Technologies, Starnberg, GERMANY' taints kernel.
[ 34.636000] [fglrx] Maximum main memory to use for locked dma buffers: 802 MBytes.
[ 34.636000] [fglrx] module loaded - fglrx 8.37.6 [May 25 2007] on minor 0
[ 34.648000] ACPI: PCI Interrupt 0000:01:05.0[A] -> GSI 17 (level, low) -> IRQ 19
[ 35.928000] wlan0: no IPv6 routers present
[ 36.500000] [fglrx] total GART = 130023424
[ 36.500000] [fglrx] free GART = 114032640
[ 36.500000] [fglrx] max single GART = 114032640
[ 36.500000] [fglrx] total LFB = 134217728
[ 36.500000] [fglrx] free LFB = 119828480
[ 36.500000] [fglrx] max single LFB = 119828480
[ 36.500000] [fglrx] total Inv = 0
[ 36.500000] [fglrx] free Inv = 0
[ 36.500000] [fglrx] max single Inv = 0
[ 36.500000] [fglrx] total TIM = 0
[ 36.604000] eth2: no IPv6 routers present
[ 37.892000] apm: BIOS not found.
[ 40.728000] Bluetooth: Core ver 2.11
[ 40.728000] NET: Registered protocol family 31
[ 40.728000] Bluetooth: HCI device and connection manager initialized
[ 40.728000] Bluetooth: HCI socket layer initialized
[ 40.860000] Bluetooth: L2CAP ver 2.8
[ 40.860000] Bluetooth: L2CAP socket layer initialized
[ 40.876000] Bluetooth: RFCOMM socket layer initialized
[ 40.876000] Bluetooth: RFCOMM TTY layer initialized
[ 40.876000] Bluetooth: RFCOMM ver 1.8

Mark Baas (mark-baas123) wrote :

Possibly i found the fix... when disabling the fglrx module the problem was over. Possibly you guys need to update the fglrx to 8.38.6. Before on other distributions this did the fix.

Mark Baas (mark-baas123) wrote :

The newest driver also didnt work. Possibly this is a bug related to fglrx.

Guillaume Pujol (guill-p) wrote :

Same problem here (suspend to ram broken since linux-image 2.6.22-8, with ATI driver fglrx 8.37.6, everything from the official gutsy repository).
Suspend worked flawlessly with 2.6.22-7.
This is on a MacBook Pro Core2Duo from november 2006.

Regards,

Michael Blakeley (mike+ubuntu) wrote :

Same problem here - both suspend and hibernate result in a flashing cursor on an otherwise blank screen. I've waiting up to 10 minutes without seeing any disk activity or screen output.

My system has ATI graphics in an hp nc6400, bios A.09, using fglrx. AFAICT I can't disable fglrx without disabling X entirely, as the lcd is widescreen. The suspend worked in both 2.6.22-7 and 2.6.22-6, but as some recent update broke xorg for 2.6.22-7 on my hardware, I'm now back to using 2.6.22-6 (the xorg bug probably isn't worth filing, since xorg does work with 2.6.22-8 and 2.6.22-6).

$ lspci | grep ATI
01:00.0 VGA compatible controller: ATI Technologies Inc M52 [ATI Mobility Radeon X1300]
$ apt-show-versions linux-image-2.6.22-8-generic
linux-image-2.6.22-8-generic/gutsy uptodate 2.6.22-8.18
$ apt-show-versions linux-image-2.6.22-7-generic
linux-image-2.6.22-7-generic 2.6.22-7.14 installed: No available version in archive
$ apt-show-versions linux-image-2.6.22-6-generic
linux-image-2.6.22-6-generic 2.6.22-6.13 installed: No available version in archive
$ apt-show-versions xorg-driver-fglrx
xorg-driver-fglrx/gutsy uptodate 7.1.0-8.37.6+2.6.22.2-8.3
$ apt-show-versions linux-restricted-modules-2.6.22-8-generic
linux-restricted-modules-2.6.22-8-generic/gutsy uptodate 2.6.22.2-8.3

Please let me know if I can provide any additional info.

Nick_Hill (nick-nickhill) wrote :

I have had a similar problem and determined the problem due to the USB driver. Please see
Bug #128322.

try as root:
rmmod ohci_hcd

to see if the machine then enters suspend.

It may not recover from suspend if using the nv video driver from another bug I'm just about to file.

Michael Blakeley (mike+ubuntu) wrote :

Not a bad tip, but I don't have that module loaded anyway:

$ lsmod | grep hcd
ehci_hcd 39820 0
uhci_hcd 29600 0
usbcore 159664 4 ehci_hcd,uhci_hcd,hci_usb

Nick_Hill (nick-nickhill) wrote :

Hello Michael
It appears suspend to ram problems often/usually come from hardware drivers.

To determine where the problem was on my system, I entered the motherboard BIOS then disabled all non-critical on-board hardware. Re-enabled hardware one by one so that I could pinpoint which hardware drivers are causing the problem.

This could help you pinpoint which hardware driver on your machine is causing the problem.

Nick_Hill (nick-nickhill) wrote :

Procedure:
1) Disable all possible on-board hardware in BIOS (except interface used to boot from, eg IDE),
2) Reboot machine to see if it enters suspend.
3) If machine enters suspend, you know it is a driver for one of the pieces of hardware you disabled.
4) If machine still does not suspend, try rmmod <modulename> for other hardware which you may not be able to disable in BIOS.
5) Re-enable hardware one by one until machine fails to go into suspend. Once pinpointed, enable all other hardware but disable culprit hardware.

Once we know which driver is causing the problem, we are much closer to the bug being fixed.

Note: rmmod removes drivers from the running kernel. Changes do not persist after reboot.

Brian Murray (brian-murray) wrote :

Michael Blakely please submit a separate bug report for your issues as 2 of the other comments have MacBook Pros. The bug may very well be related to the fglrx driver but let us be certain first. Thanks!

Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged
Guillaume Pujol (guill-p) wrote :

Some more info:

- the issue is that the machine doesn't suspend (the screen stays black with a blinking cursor on the upper left. Fans, hdd and backlight stay on). In this state the only unlocking solution I have is an hardware reboot.

- the issue seems to come from the fglrx driver, since I tried avivo and suspend works (but resume doesn't :/). I guess I have to manually configure /etc/default/acpi-support to enable avivo suspend.

For reference, here's my acpi-support, which worked before 2.6.22-8 (attached).

Do you need more information ?

Download full text (6.8 KiB)

I am also seeing this problem -- and additionally the main keyboard and mouse lock up -- plugging external usb devices allows me to workaround the problem and bring the machine to a clean shutdown. Caps lock led gets switched on -- doesn't blink. I think that leds blinking on oops is a kernel build option anyway.

$ cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 15
model name : Intel(R) Core(TM)2 Duo CPU T7500 @ 2.20GHz
stepping : 10
cpu MHz : 2201.000
cache size : 4096 KB
physical id : 0
siblings : 2
core id : 0
cpu cores : 2
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc pni monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr lahf_lm
bogomips : 4393.44
clflush size : 64

processor : 1
vendor_id : GenuineIntel
cpu family : 6
model : 15
model name : Intel(R) Core(TM)2 Duo CPU T7500 @ 2.20GHz
stepping : 10
cpu MHz : 2201.000
cache size : 4096 KB
physical id : 0
siblings : 2
core id : 1
cpu cores : 2
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 10
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc pni monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr lahf_lm
bogomips : 4388.83
clflush size : 64

Snippet of kern.log:
Aug 6 19:21:22 aporo2 kernel: [32311.760000] Disabling non-boot CPUs ...
Aug 6 19:21:22 aporo2 kernel: [32311.876000] CPU 1 is now offline
Aug 6 19:21:22 aporo2 kernel: [32311.876000] SMP alternatives: switching to UP code
Aug 6 19:21:22 aporo2 kernel: [32311.876000] CPU1 is down
Aug 6 19:21:22 aporo2 kernel: [32311.876000] PM: Entering mem sleep
Aug 6 19:21:22 aporo2 kernel: [32311.876000] Back to C!
Aug 6 19:21:22 aporo2 kernel: [32311.876000] PM: Finishing wakeup.
Aug 6 19:21:22 aporo2 kernel: [32311.876000] Enabling non-boot CPUs ...
Aug 6 19:21:22 aporo2 kernel: [32311.888000] SMP alternatives: switching to SMP code
Aug 6 19:21:22 aporo2 kernel: [32311.888000] Booting processor 1/1 eip 3000
Aug 6 19:21:22 aporo2 kernel: [32311.896000] Initializing CPU#1
Aug 6 19:21:22 aporo2 kernel: [32311.896000] BUG: unable to handle kernel paging request at virtual address 6a494846
Aug 6 19:21:22 aporo2 kernel: [32311.896000] printing eip:
Aug 6 19:21:22 aporo2 kernel: [32311.896000] c01fd3cb
Aug 6 19:21:22 aporo2 kernel: [32311.896000] *pde = 00000000
Aug 6 19:21:22 aporo2 kernel: [32311.896000] Oops: 0000 [#1]
Aug 6 19:21:22 aporo2 kernel: [32311.896000] SMP
Aug 6 19:21:22 aporo2 kernel: [32311.896000] Modules linked in: michael_mic arc4 ecb blkcipher ieee80211_crypt_tkip binfmt_misc capability ipv6 acpi_cpufreq cpufr
eq...

Read more...

Please ignore my last comment - should have been filed under #129226 - apologies.

Paulo Dias (paulo-miguel-dias) wrote :

Hi, i can confirm that the change in 2.6.22-10, using SLUB instead of SLAB broke the ATI fglrx driver 8.40.x as of the time of writing. If i recompile the ubuntu kernel source and change SLUB back to SLAB, resume/suspend with the fglrx works perfectly again.

I recommend doing more tests before changing the default kernel to SLUB, fglrx is one example but i bet it's not the only one.

Best regards.

Changed in linux-source-2.6.22:
status: Triaged → Confirmed
Vincenzo Ciancia (vincenzo-ml) wrote :

I have a toshiba with intel i915 video card, and in gutsy my laptop does not resume from suspend to ram, even if it works in feisty. Should I file another bug report, or would you like some more information here?

Emanuel (emanuel-ngine) wrote :

I can underline Paulo Dias's comment.

Had the same problems, custom compiled a kernel utilizing SLAB instead of SLUB , and can now suspend / resume fine again on a Thinkpad z61p with ATI x1600

best
Emanuel

Chuck Short (zulcss) wrote :

Fixed in my git tree

Changed in linux-source-2.6.22:
status: Confirmed → In Progress

This definitely seems to be related to/a duplicate of https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/121653

I'm experiencing the same problem on a z61m with an ATI x1400 (kernel 2.6.22, fglrx 8.37.6, amd64), and custom compiling a SLAB kernel restores suspend/resume. A workaround, yes, but a viable one until the fglrx drivers are fixed.

Emanuel (emanuel-ngine) wrote :

wondering, did the latest gutsy kernel release fix this then?

Emanuel (emanuel-ngine) wrote :

commenting myself, just tried this, no joy. Seems the kernel git tree changes mentioned above either have not resolved this on my Z61p, or have not yet been merged into the latest gutsy kernel released a day ago.

pity.

I can confirm this bug is related to fglrx driver (on my macbook pro D2C at last!)

I created this simple script called "gotsleep.sh" :
------------------------------
#!/bin/sh
/etc/init.d/gdm stop
modprobe -r fglrx
/etc/acpi/sleep.sh
/etc/init.d/gdm start
-------------------------------
then switched to a text VT (ctrl+alt+1) login and run

sudo gotsleep.sh

(Stopping gdm means you are going to be logged out from your desktop but it is necessary ti remove the fireglx driver from kernel )

Launching gotsleep.sh makes the mac go to sleep and wake up again on lid reopened quite well all the times...

Diego.

Same problem seen on my T60p with ATI MOBILITY FireGL V5200 running fglrx 8.37.6 on latest Gutsy. Suspend hangs with thinkpad-standby-led still blinking.
Previously worked in Feisty. Very bad regression.

Same problem here IBM T42 on updated Gutsy install using fglrx driver

OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI MOBILITY RADEON 9600/9700 Series
OpenGL version string: 2.0.6473 (8.37.6

2.6.22-12-generic #1 SMP Sun Sep 23 18:11:30 GMT 2007 i686 GNU/Linux

On 10/4/07, oldman <email address hidden> wrote:
>
> Same problem seen on my T60p with ATI MOBILITY FireGL V5200 running fglrx
> 8.37.6 on latest Gutsy. Suspend hangs with thinkpad-standby-led still
> blinking.
> Previously worked in Feisty. Very bad regression.
>

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Sergio Zanchetta (primes2h) wrote :

The 18 month support period for Gutsy Gibbon 7.10 has reached its end of life -
http://www.ubuntu.com/news/ubuntu-7.10-eol . As a result, we are closing the
linux-source-2.6.22 kernel task. It would be helpful if you could test the
new Jaunty Jackalope 9.04 release and confirm if this issue remains -
http://www.ubuntu.com/getubuntu/releasenotes/904overview. If the issue still exists with the Jaunty
release, please update this report by changing the Status of the "linux (Ubuntu)"
task from "Incomplete" to "New". Also please be sure to run the command below
which will automatically gather and attach updated debug information to this
report. Thanks in advance.

apport-collect -p linux-image-2.6.28-11-generic 126214

Changed in linux-source-2.6.22 (Ubuntu):
status: In Progress → Won't Fix
Changed in linux (Ubuntu):
status: New → Incomplete

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers